[lazarus] Lazarus with mysql unit

Michael.VanCanneyt at Wisa.be Michael.VanCanneyt at Wisa.be
Fri Sep 6 15:31:23 EDT 2002




On 6 Sep 2002, Tony Maro wrote:

> On Thu, 2002-09-05 at 11:29, Michael Van Canneyt wrote:
> >
> >
> > The mysql unit as provided with FPC 1.0.6 works only with version 3.22
> > of MySQL.
> >
> > If you want to use version 3.23, you should use the latest version of
> > the mysql unit in CVS. As you will see, there are 3 versions:
> > 3.22
> > 3.23
> > 4.0
> > Using the wrong version will result in crashes as described by you.
> >
> > Michael.
> >
>
> Okay, so this is certainly more of a FPC question, but I'm gonna ask
> anyway.  I've installed FPC 1.0.6 from the ELF binaries.  I have also
> downloaded the CVS of FPC as well.
>
> I'm clueless about how to rebuild everything from the CVS edition.
> Besides, all I really want is the mysql unit for 3.23.  Is there a way I
> can just build the mysql unit for 3.23 and install it into my 1.0.6
> installation?  I tried running "make" from the mysql directory and it
> bombs looking for sysunixh.inc
>
> OR, is it just possible to grab the mysql.pp, mysql_com.pp and
> mysql_version.pp files and place them inside my project so they get used
> instead of the distributed version?

Yes, this should work as well.

In principle, you can simply take these 3 files, put them in any directory
and compile them:
ppc386 mysql_com.pp
ppc386 mysql_version.pp
ppc386 mysql.pp

Then copy the created files (*.ppu, *.o) to wherever the distributed files
are.

Michael.








More information about the Lazarus mailing list